POST
/
auth
/
challenge
curl -X POST https://api.stableyard.fi/v2/auth/challenge \
  -H "Content-Type: application/json" \
  -d '{
    "wallet": "0x742d35Cc6634C0532925a3b844Bc9e7595f4fA9",
    "chainType": "evm"
  }'
{
  "challenge": "Sign this message to authenticate with Stableyard.\n\nNonce: 4f7d1a8c2b3e9d10\nTimestamp: 2026-03-18T10:20:30.000Z\nURI: https://api.stableyard.fi/v2",
  "nonce": "4f7d1a8c2b3e9d10",
  "expiresAt": 1773829530
}
Create a challenge message that the user must sign with their wallet to authenticate. No authentication required for this endpoint.
wallet
string
required
The user’s wallet address (e.g., 0x742d...4fA9 for EVM, base58 for Solana)
chainType
string
required
The wallet’s chain type. One of: evm, solana, movement
curl -X POST https://api.stableyard.fi/v2/auth/challenge \
  -H "Content-Type: application/json" \
  -d '{
    "wallet": "0x742d35Cc6634C0532925a3b844Bc9e7595f4fA9",
    "chainType": "evm"
  }'
{
  "challenge": "Sign this message to authenticate with Stableyard.\n\nNonce: 4f7d1a8c2b3e9d10\nTimestamp: 2026-03-18T10:20:30.000Z\nURI: https://api.stableyard.fi/v2",
  "nonce": "4f7d1a8c2b3e9d10",
  "expiresAt": 1773829530
}
challenge
string
required
The message the user must sign with their wallet
nonce
string
required
Unique nonce to include in the verify request
expiresAt
number
required
Unix timestamp when the challenge expires